using PDF_Office.ViewModels.EditTools.Watermark;
using PDF_Office.ViewModels.PropertyPanel.AnnotPanel;
using System.Windows.Controls;
using System.Windows.Media;

namespace PDF_Office.Views.EditTools.Watermark
{
    /// <summary>
    /// Interaction logic for WatermarkCreateTextContent
    /// </summary>
    public partial class WatermarkCreateTextContent : UserControl
    {
        public WatermarkCreateTextContent()
        {
            InitializeComponent();
            cusColor.SelectedColorHandler += cusColor_SelectedColor;
        }

        private void cusColor_SelectedColor(object sender, Color e)
        {
            var data = this.DataContext as WatermarkCreateTextContentViewModel;
            if (data != null)
            {
                data.SelectedColorChangedCommand?.Execute(e);
                
            }
        }
    }
}
